Package org.apache.sling.feature.maven

# Class Substitution

java.lang.Object
org.apache.sling.feature.maven.Substitution

public class Substitution extends Object

## Constructor Summary

Constructors
Constructor
Description
`Substitution()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getOSGiVersion(String version)`
`static String`
`replaceMavenVars(org.apache.maven.project.MavenProject project, boolean legacyReplace, boolean replaceProjectProps, String[] additionalProperties, String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Substitution

public Substitution()

## Method Details

### replaceMavenVars

public static String replaceMavenVars(org.apache.maven.project.MavenProject project, boolean legacyReplace, boolean replaceProjectProps, String[] additionalProperties, String s)

### getOSGiVersion

public static String getOSGiVersion(String version)